<?php

///////////////////////////////////////////////////////////////////////////////
// B O O T S T R A P
///////////////////////////////////////////////////////////////////////////////

$bootstrap = getenv('CLEAROS_BOOTSTRAP') ? getenv('CLEAROS_BOOTSTRAP') : '/usr/clearos/framework/shared';
require_once $bootstrap . '/bootstrap.php';

///////////////////////////////////////////////////////////////////////////////
// T R A N S L A T I O N S
///////////////////////////////////////////////////////////////////////////////

clearos_load_language('base');

///////////////////////////////////////////////////////////////////////////////
// D A T A
///////////////////////////////////////////////////////////////////////////////

$locales = array(

    'ca_ES' => array(
        'base_code' => 'ca', 
        'description' => lang('base_language_ca_es'),
        'native_description' => 'Català',
        'default_keyboard' => 'es',
        'default_time_zone' => 'Europe/Madrid',
        'text_direction' => 'LTR',
        'encoding' => 'UTF-8',
        'enabled' => TRUE
    ),

    'cs_CZ' => array(
        'base_code' => 'cs', 
        'description' => lang('base_language_cs_cz'),
        'native_description' => 'Česky',
        'default_keyboard' => 'cz-lat2',
        'default_time_zone' => 'Europe/Prague',
        'text_direction' => 'LTR',
        'encoding' => 'UTF-8',
        'enabled' => TRUE
    ),

    'da_DK' => array(
        'base_code' => 'da', 
        'description' => lang('base_language_da_dk'),
        'native_description' => 'Dansk',
        'default_keyboard' => 'dk',
        'default_time_zone' => 'Europe/Copenhagen',
        'text_direction' => 'LTR',
        'encoding' => 'UTF-8',
        'enabled' => TRUE
    ),

    'de_DE' => array(
        'base_code' => 'de', 
        'description' => lang('base_language_de_de'),
        'native_description' => 'Deutsch',
        'default_keyboard' => 'de-latin1-nodeadkeys',
        'default_time_zone' => 'Europe/Berlin',
        'text_direction' => 'LTR',
        'encoding' => 'UTF-8',
        'enabled' => TRUE
    ),

    'en_US' => array(
        'base_code' => 'en', 
        'description' => lang('base_language_en_us'),
        'native_description' => 'English (US)',
        'default_keyboard' => 'us',
        'default_time_zone' => 'America/New_York',
        'text_direction' => 'LTR',
        'encoding' => 'UTF-8',
        'enabled' => TRUE
    ),

    'es_ES' => array(
        'base_code' => 'es', 
        'description' => lang('base_language_es_es'),
        'native_description' => 'Español',
        'default_keyboard' => 'es',
        'default_time_zone' => 'Europe/Madrid',
        'text_direction' => 'LTR',
        'encoding' => 'UTF-8'
    ),

    'fi_FI' => array(
        'base_code' => 'fi', 
        'description' => lang('base_language_fi_fi'),
        'native_description' => 'Suomi',
        'default_keyboard' => 'fi',
        'default_time_zone' => 'Europe/Helsinki',
        'text_direction' => 'LTR',
        'encoding' => 'UTF-8'
    ),

    'fr_FR' => array(
        'base_code' => 'fr', 
        'description' => lang('base_language_fr_fr'),
        'native_description' => 'Français',
        'default_keyboard' => 'fr_latin1',
        'default_time_zone' => 'Europe/Paris',
        'text_direction' => 'LTR',
        'encoding' => 'UTF-8',
        'enabled' => TRUE
    ),

    'gr_GR' => array(
        'base_code' => 'gr', 
        'description' => lang('base_language_gr_gr'),
        'native_description' => 'Ελληνικά',
        'default_keyboard' => 'gr',
        'default_time_zone' => 'Europe/Athens',
        'text_direction' => 'LTR',
        'encoding' => 'UTF-8',
        'enabled' => TRUE
    ),

    'hu_HU' => array(
        'base_code' => 'hu', 
        'description' => lang('base_language_hu_hu'),
        'native_description' => 'Magyar',
        'default_keyboard' => 'hu',
        'default_time_zone' => 'Europe/Budapest',
        'text_direction' => 'LTR',
        'encoding' => 'UTF-8',
        'enabled' => TRUE
    ),

    'id_ID' => array(
        'base_code' => 'id', 
        'description' => lang('base_language_id_id'),
        'native_description' => 'Bahasa Indonesia',
        'default_keyboard' => 'us',
        'default_time_zone' => 'Asia/Jakarta',
        'text_direction' => 'LTR',
        'encoding' => 'UTF-8',
        'enabled' => TRUE
    ),

    'it_IT' => array(
        'base_code' => 'it', 
        'description' => lang('base_language_it_it'),
        'native_description' => 'Italiano',
        'default_keyboard' => 'it',
        'default_time_zone' => 'Europe/Rome',
        'text_direction' => 'LTR',
        'encoding' => 'UTF-8',
        'enabled' => TRUE
    ),

    'nl_NL' => array(
        'base_code' => 'nl', 
        'description' => lang('base_language_nl_nl'),
        'native_description' => 'Nederlands',
        'default_keyboard' => 'nl',
        'default_time_zone' => 'Europe/Amsterdam',
        'text_direction' => 'LTR',
        'encoding' => 'UTF-8',
        'enabled' => TRUE
    ),

    'no_NO' => array(
        'base_code' => 'no', 
        'description' => lang('base_language_no_no'),
        'native_description' => 'Norsk',
        'default_keyboard' => 'no',
        'default_time_zone' => 'Europe/Oslo',
        'text_direction' => 'LTR',
        'encoding' => 'UTF-8',
        'enabled' => TRUE
    ),

    'pl_PL' => array(
        'base_code' => 'pl', 
        'description' => lang('base_language_pl_pl'),
        'native_description' => 'Polski',
        'default_keyboard' => 'pl2',
        'default_time_zone' => 'Europe/Warsaw',
        'text_direction' => 'LTR',
        'encoding' => 'UTF-8',
        'enabled' => TRUE
    ),

    'pt_BR' => array(
        'base_code' => 'pt', 
        'description' => lang('base_language_pt_br'),
        'native_description' => 'Português (Brasil)',
        'default_keyboard' => 'br-abnt2',
        'default_time_zone' => 'America/Sao_Paulo',
        'text_direction' => 'LTR',
        'encoding' => 'UTF-8',
        'enabled' => TRUE
    ),

    'pt_PT' => array(
        'base_code' => 'pt', 
        'description' => lang('base_language_pt_pt'),
        'native_description' => 'Português',
        'default_keyboard' => 'pt-latin1',
        'default_time_zone' => 'Europe/Lisbon',
        'text_direction' => 'LTR',
        'encoding' => 'UTF-8',
        'enabled' => TRUE
    ),

    'sk_SK' => array(
        'base_code' => 'sk', 
        'description' => lang('base_language_sk_SK'),
        'native_description' => 'Slovenčina',
        'default_keyboard' => 'sk-qwerty',
        'default_time_zone' => 'Europe/Bratislava',
        'text_direction' => 'LTR',
        'encoding' => 'UTF-8',
        'enabled' => TRUE
    ),

    'sl_SL' => array(
        'base_code' => 'sl', 
        'description' => lang('base_language_sl_sl'),
        'native_description' => 'Slovaščina',
        'default_keyboard' => 'slovene',
        'default_time_zone' => 'Europe/Ljubljana',
        'text_direction' => 'LTR',
        'encoding' => 'UTF-8',
        'enabled' => TRUE
    ),

    'sv_SE' => array(
        'base_code' => 'sv', 
        'description' => lang('base_language_sv_se'),
        'native_description' => 'Svenska',
        'default_keyboard' => 'sv-latin1',
        'default_time_zone' => 'Europe/Stockholm',
        'text_direction' => 'LTR',
        'encoding' => 'UTF-8',
        'enabled' => TRUE
    ),

    'tl_PH' => array(
        'base_code' => 'tl', 
        'description' => lang('base_language_tl_ph'),
        'native_description' => 'Tagalog',
        'default_keyboard' => 'us',
        'default_time_zone' => 'Asia/Manila',
        'text_direction' => 'LTR',
        'encoding' => 'UTF-8',
        'enabled' => TRUE
    ),

    'tr_TR' => array(
        'base_code' => 'tr', 
        'description' => lang('base_language_tr_tr'),
        'native_description' => 'Türkçe',
        'default_keyboard' => 'trq',
        'default_time_zone' => 'Europe/Istanbul',
        'text_direction' => 'LTR',
        'encoding' => 'UTF-8',
        'enabled' => TRUE
    ),

    'ro_RO' => array(
        'base_code' => 'ro', 
        'description' => lang('base_language_ro_ro'),
        'native_description' => 'Română',
        'default_keyboard' => 'us',
        'default_time_zone' => 'Europe/Bucharest',
        'text_direction' => 'LTR',
        'encoding' => 'UTF-8',
        'enabled' => TRUE
    ),

    'ru_RU' => array(
        'base_code' => 'ru', 
        'description' => lang('base_language_ru_ru'),
        'native_description' => 'Русский',
        'default_keyboard' => 'ru',
        'default_time_zone' => 'Europe/Moscow',
        'text_direction' => 'LTR',
        'encoding' => 'UTF-8',
        'enabled' => TRUE
    ),

    'zh_CN' => array(
        'base_code' => 'zh', 
        'description' => lang('base_language_zh_cn'),
        'native_description' => '中文',
        'default_keyboard' => 'us',
        'default_time_zone' => 'Asia/Shanghai',
        'text_direction' => 'LTR',
        'encoding' => 'GB2312',
        'enabled' => TRUE
    ),
);
